Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Interface SourceLocationProvider

All Superinterfaces:
  LocationProvider

All Known Implementing Classes:
  DOMSender, LocationCopier, StaxBridge, StaxToEventBridge

    public interface SourceLocationProvider

extends LocationProvider

A SourceLocationProvider is a `LocationProvider` that represents locations in the source document from which the events are derived (as distinct from locations in a query or stylesheet of the instructions causing the events)

Method Summary

Methods inherited from interface net.sf.saxon.event.LocationProvider
`getColumnNumber, getLineNumber, getSystemId`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.